> For the complete documentation index, see [llms.txt](https://docs.gmetri.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gmetri.com/metaverse/integrations/e-commerce-with-gmetri.md).

# E-Commerce with GMetri

{% content-ref url="/pages/6U3KSF5FxghbaW61bFeC" %}
[Shopify Integration](/metaverse/integrations/e-commerce-with-gmetri/shopify-integration.md)
{% endcontent-ref %}

{% content-ref url="/pages/0FlMnHGrjeHrTZbcavni" %}
[WooCommerce Integration](/metaverse/integrations/e-commerce-with-gmetri/woocommerce-integration.md)
{% endcontent-ref %}

{% content-ref url="/pages/sPeOQGghS53xOoM7QVRO" %}
[Using an E-Commerce Plugin](/metaverse/integrations/e-commerce-with-gmetri/using-an-e-commerce-plugin.md)
{% endcontent-ref %}

GMetri can help launch your metaverse store that enables collaborative, three-dimensional retail.  This is done by using pre-existing plugins (like Shopify) or creating new plugins that bridge the communication between any e-commerce platform and GMetri.

![e-commerce-plugin](https://s.vrgmetri.com/image/w_512,q_90/gb-web/portal-docs/assets/img/screenshots/ecommpulgin.png)

You can link any element in your scene to your SKUs. When the user then clicks on these elements, he/she is present with a Product Card like the above.

The values in this product card (like product description, photos) can be populated using the e-commerce plugin that would query your APIs to get all details and manage the user’s session.

![cart update](https://s.vrgmetri.com/image/w_512,q_90/gb-web/portal-docs/assets/img/screenshots/ecommplugin-cart.png)

There's also a cart icon on the top left corner that can start a checkout session on your e-commerce platform.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.gmetri.com/metaverse/integrations/e-commerce-with-gmetri.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
